/* SECTION 1 (child custody rights) */
.child-container {
  width: 100%;
  padding: 0 20px;
}

.child-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  padding: 80px 0;
  padding-top: 50px;
}

.child-head-para {
  max-width: 665px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 15px;
}

.child-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.child-card-row {
  display: flex;
  justify-content: center;
  gap: clamp(12px, 2.4vw, 30px);
}

.child-card {
  max-width: 368px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 15px;
  padding: 30px 18px;
  border-radius: 16px;
  box-shadow: 0 1px 26px rgba(0, 0, 0, 0.15);
  transition:
    background-color 0.24s ease,
    color 0.24s ease;
  cursor: default;
}

.child-card-icon {
  display: flex;
  align-items: center;
  color: var(--color-blue);
}

.child-card-text {
  display: flex;
  flex-direction: column;
  gap: 10px;
  transition: all 0.24s ease;
}

.child-card:hover {
  background-color: var(--color-blue);
  color: var(--color-white);
}

.child-card:hover > .child-card-icon {
  color: var(--color-white);
}

.child-card:hover > .child-card-text h3 {
  color: var(--color-white);
}

@media (max-width: 1195.98px) {
  .child-card-row {
    gap: 12px;
  }
}

@media (max-width: 1023.98px) {
  .child-wrapper {
    padding: 60px 0;
    padding-top: 40px;
  }

  .child-card-row {
    flex-wrap: wrap;
    gap: 30px;
  }

  .child-card {
    max-width: 337px;
  }
}

@media (max-width: 640.98px) {
  .child-container {
    padding: 0 16px;
  }

  .child-wrapper {
    padding: 50px 0;
    padding-top: 35px;
  }

  .child-head {
    gap: 1px;
  }
}

@media (max-width: 480px) {
  .child-card {
    max-width: 315px;
    padding: 32px 30px;
  }
}

/* SECTION 2 (Fathers get custody) */
.fathers-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-light-blue);
}

.fathers-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 113px;
  padding: 80px 0;
}

.fathers-image-layout {
  aspect-ratio: 432 / 440;
  max-width: 432px;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
}

.fathers-image-main {
  display: flex;
  justify-content: center;
  align-items: flex-start;
}

.fathers-image-main img {
  max-width: 391px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.fathers-image-second {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  margin-right: -155px;
  z-index: 1;
}

.fathers-image-second img {
  max-width: 228px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.fathers-content {
  position: relative;
  max-width: 520px;
  min-width: 472px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.fathers-body-deco {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  right: -5px;
  top: 10px;
}

.fathers-body-deco img {
  max-width: 77px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

.fathers-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.fathers-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 372px;
}

.fathers-point-list {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.fathers-point-item {
  display: flex;
  align-items: center;
  gap: 22px;
}

.fathers-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 48px;
  height: 48px;
  flex-shrink: 0;
  border-radius: 50%;
  background-color: var(--color-white);
}

@media (max-width: 1100px) {
  .fathers-container {
    padding: 0 35px;
  }

  .fathers-wrapper {
    gap: 50px;
  }
}

@media (max-width: 1023.98px) {
  .fathers-container {
    padding: 0 20px;
  }

  .fathers-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
    align-items: center;
  }

  .fathers-body-deco {
    top: 40px;
  }

  .fathers-body-deco img {
    max-width: 50px;
  }

  .fathers-content {
    max-width: 708px;
    width: 100%;
    align-items: center;
  }

  .fathers-head-para {
    max-width: 100%;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .fathers-head {
    max-width: 100%;
    align-items: center;
  }

  .fathers-head-para p {
    max-width: 576px;
  }

  .fathers-point-list {
    max-width: 653px;
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px 12px;
  }

  .fathers-point-item {
    max-width: 319px;
    width: 100%;
  }
}

@media (max-width: 640.98px) {
  .fathers-container {
    padding: 0 16px;
  }

  .fathers-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .fathers-body-deco {
    display: none;
  }

  .fathers-content {
    min-width: unset;
  }

  .fathers-point-list {
    grid-template-columns: 1fr;
    max-width: 279px;
  }
}

/* SECTION 3 (different types child custody) */
.types-container {
  width: 100%;
  padding: 0 25px;
}

.types-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: clamp(35px, 3.12vw, 50px);
  padding: 80px 0;
}

.types-content {
  max-width: 536px;
  min-width: 513px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.types-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.types-head {
  max-width: 420px;
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.types-head-para p {
  max-width: 506px;
}

.types-point-list {
  display: flex;
}

.types-point-item {
  max-width: 260px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 18px;
  padding: 10px;
  transition:
    background-color 0.24s ease,
    color 0.24s ease;
  cursor: default;
}

.types-point-item + .types-point-item {
  border-left: 4px solid #d9e3fe;
  padding-left: 26px;
  padding-right: 0;
}

.types-point-icon {
  width: 54px;
  height: 54px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 12px;
  background-color: var(--color-light-blue);
  flex-shrink: 0;
}

.types-point-text {
  display: flex;
  flex-direction: column;
  gap: 14px;
}

.types-point-text h3 {
  color: #0d0e10;
}

.types-point-item:hover {
  background-color: var(--color-blue);
  color: var(--color-white);
  transition: all 0.24s ease;
}

.types-point-item:hover > .types-point-text h3 {
  color: var(--color-white);
}

.types-image-layout {
  aspect-ratio: 580 / 504;
  max-width: 580px;
  width: 100%;
  min-width: 424px;
  min-height: 396px;
  height: auto;
  position: relative;
  display: flex;
  flex-direction: row-reverse;
}

.types-image-main {
  display: flex;
  justify-content: flex-end;
  align-items: flex-start;
  z-index: 1;
}

.types-image-main img {
  max-width: 450px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.types-image-second {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  z-index: 3;
  margin-right: -153px;
}

.types-image-second img {
  max-width: 282px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.types-goal-card {
  position: absolute;
  right: 20%;
  bottom: 85px;
  max-width: 235px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 14px 18px;
  border-radius: 12px;
  background-color: var(--color-white);
  box-shadow: 0 10px 30px rgba(12, 57, 176, 0.12);
  z-index: 4;
}

@media (max-width: 1200px) {
  .types-goal-card {
    right: 17%;
  }
}

.types-goal-icon {
  width: 81px;
  height: 70px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  background-color: var(--color-blue);
  flex-shrink: 0;
}

.types-goal-icon img {
  width: 32px;
  height: 32px;
  object-fit: contain;
}

.types-goal-text {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.types-goal-number {
  color: var(--color-blue);
}

.types-goal-label {
  color: var(--color-blue);
}

.types-dot-deco {
  position: absolute;
  right: 100px;
  bottom: 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 0;
}

.types-dot-deco img {
  max-width: 111px;
  width: 100%;
  height: auto;
  object-fit: contain;
}

@media (max-width: 1140px) {
  .types-wrapper {
    gap: 40px;
  }

  .types-goal-card {
    right: 13%;
  }
}

@media (max-width: 1100px) {
  .types-goal-card {
    right: 1%;
    bottom: 37px;
  }

  .types-dot-deco {
    right: 20px;
  }
}

/* @media (max-width: 1180px) {
  .types-wrapper {
    gap: 40px;
  }

  .types-image-layout {
    min-height: 468px;
  }

  .types-image-main img {
    max-width: 390px;
  }

  .types-image-second img {
    max-width: 242px;
  }

  .types-goal-card {
    right: 18px;
    bottom: 74px;
  }
} */

@media (max-width: 1023.98px) {
  .types-container {
    padding: 0 20px;
  }

  .types-wrapper {
    flex-direction: column-reverse;
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .types-content {
    max-width: 100%;
    align-items: center;
    gap: 35px;
  }

  .types-head-para {
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .types-head {
    max-width: 100%;
    align-items: center;
  }

  .types-head-para p {
    max-width: 585px;
  }

  .types-point-list {
    max-width: 633px;
    width: 100%;
    justify-content: center;
  }

  .types-point-item {
    max-width: 324px;
    padding: 10px;
    gap: 12px;
  }

  .types-image-layout {
    max-width: 424px;
  }

  .types-goal-card {
    padding: 9px 10px;
  }
}

@media (max-width: 640.98px) {
  .types-container {
    padding: 0 16px;
  }

  .types-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .types-content {
    gap: 35px;
    min-width: unset;
  }

  .types-point-list {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }

  .types-point-item {
    max-width: 320px;
    padding: 0;
  }

  .types-point-item + .types-point-item {
    border-left: none;
    border-top: 4px solid #dde7ff;
    padding-left: 0;
    padding-top: 20px;
  }

  .types-image-layout {
    max-width: 343px;
    min-width: unset;
    min-height: unset;
  }

  .types-image-main img {
    max-width: 265px;
  }

  .types-image-second {
    margin-right: -91px;
  }

  .types-image-second img {
    max-width: 167px;
  }

  .types-goal-card {
    max-width: 150px;
    right: 17%;
    bottom: 52px;
    padding: 2px 10px;
    gap: 9px;
  }

  .types-goal-text {
    gap: 0;
  }

  .types-goal-number {
    font-size: 20px;
    line-height: 30px;
  }

  .types-goal-label {
    font-size: 12px;
    font-weight: 500;
    line-height: 24px;
  }

  .types-goal-icon {
    width: 47px;
    height: 41px;
  }

  .types-goal-icon img {
    width: 24px;
    height: 24px;
  }

  .types-dot-deco {
    right: 40px;
  }

  .types-dot-deco img {
    max-width: 65px;
  }
}

/* SECTION 4 (father visitation) */
.access-container {
  width: 100%;
  padding: 0 60px;
  background-color: var(--color-light-blue);
}

.access-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 50px;
  padding: 80px 0;
}

.access-left {
  max-width: 607px;
  width: 100%;
  display: flex;
  min-width: 450px;
  flex-direction: column;
  gap: 40px;
}

.access-head-para {
  display: flex;
  flex-direction: column;
}

.access-head {
  max-width: 405px;
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.access-image {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-white);
  border-top: 16px solid var(--color-white);
  border-right: 16px solid var(--color-white);
  border-radius: 16px;
}

.access-image img {
  max-width: 596px;
  width: 100%;
  height: auto;
  border-radius: 16px;
  object-fit: cover;
}

.access-content {
  max-width: 504px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
  padding-top: 7px;
}

.access-intro {
  max-width: 511px;
}

.access-point-list {
  display: flex;
  flex-direction: column;
  gap: 34px;
}

.access-point-item {
  display: flex;
  align-items: flex-start;
  gap: 18px;
}

.access-point-icon {
  width: 48px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
}

.access-point-icon img {
  width: 42px;
  height: 42px;
  object-fit: contain;
}

.access-point-text {
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.access-point-text h3 {
  color: #0d0e10;
}

@media (max-width: 1120px) {
  .access-wrapper {
    gap: 40px;
  }
}

@media (max-width: 1023.98px) {
  .access-container {
    padding: 0 20px;
  }

  .access-wrapper {
    flex-direction: column;
    align-items: center;
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .access-left {
    align-items: center;
    max-width: 708px;
    gap: 40px;
    min-width: unset;
  }

  .access-image {
    width: fit-content;
  }

  .access-image img {
    max-width: 450px;
    min-width: unset;
  }

  .access-head-para {
    align-items: center;
    text-align: center;
  }

  .access-head {
    max-width: 100%;
    align-items: center;
  }

  .access-content {
    max-width: 708px;
    align-items: center;
    text-align: center;
    gap: clamp(35px, 5.3vw, 40px);
    padding-top: 0;
  }

  .access-intro {
    max-width: 620px;
  }

  .access-point-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px 37px;
    max-width: 708px;
    width: 100%;
  }

  .access-point-item {
    align-items: center;
    text-align: left;
  }
}

@media (max-width: 750px) {
  .access-point-list {
    grid-template-columns: 1fr;
    max-width: fit-content;
  }
}

@media (max-width: 640.98px) {
  .access-container {
    padding: 0 16px;
  }

  .access-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .access-left {
    gap: 35px;
  }

  .access-image {
    border-top: 10px solid var(--color-white);
    border-right: 10px solid var(--color-white);
    border-radius: 10px;
  }

  .access-image img {
    border-radius: 10px;
  }

  .access-head {
    max-width: 320px;
    gap: 1px;
  }

  .access-content {
    gap: 35px;
  }

  .access-point-item {
    gap: 22px;
    align-items: center;
  }

  .access-point-icon {
    width: 40px;
    height: 40px;
  }

  .access-point-icon img {
    width: 40px;
    height: 40px;
  }
}

/* SECTION 5 (how court decide cc) */
.decide-container {
  width: 100%;
  padding: 0 20px;
}

.decide-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 50px;
  padding: 80px 0;
}

.decide-content {
  max-width: 551px;
  width: 100%;
  min-width: 465px;
  display: flex;
  flex-direction: column;
  gap: clamp(35px, 5.3vw, 40px);
}

.decide-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.decide-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 490px;
}

.decide-point-list {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.decide-point-item {
  display: flex;
  align-items: flex-start;
  gap: 20px;
}

.decide-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 62px;
  height: 62px;
  flex-shrink: 0;
  border-radius: 5.6px;
  border: 1px solid var(--color-blue);

  margin-top: 6px;
}

.decide-image-layout {
  aspect-ratio: 584 / 791;
  max-width: 584px;
  width: 100%;
  height: auto;
  min-height: 782px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  position: relative;
}

.decide-body-deco {
  position: absolute;
  aspect-ratio: 1 / 1;
  max-width: clamp(155px, 13.55vw, 173px);
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 30px;
  border-radius: 50%;
  background-color: #c4d4ff;
  right: 0;
  top: 0;
  z-index: 0;
}

.decide-body-deco img {
  max-width: 103px;
  width: 100%;
  height: auto;
  object-fit: cover;
  z-index: 2;
}

.decide-image-main {
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1;
  padding: 0 40px;
  border-radius: 0 75px 0 0;
  overflow: hidden;
}

.decide-image-main img {
  max-width: 477px;
  width: 100%;
  height: auto;
  min-height: 621px;
  object-fit: cover;
  border-radius: 0 75px 0 0;
  overflow: hidden;
}

.decide-badge {
  max-width: 253px;
  width: 100%;
  background-color: var(--color-white);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 25px 11px;
  box-shadow: 0 2px 20px rgba(0, 0, 0, 0.15);
  z-index: 3;

  margin-top: -61px;
}

.badge-top {
  display: flex;
  align-items: center;
  gap: 10px;
}

.decide-badge-icon {
  width: 44px;
  height: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: var(--color-blue);
  flex-shrink: 0;
}

.decide-badge-number {
  font-size: 24px;
  line-height: 34px;
  font-weight: 700;
  color: var(--color-blue);
}

.decide-badge-label {
  line-height: 28px;
  color: var(--color-blue);
}

@media (max-width: 1140px) {
  .decide-wrapper {
    gap: 25px;
  }

  .decide-image-layout {
    max-width: 494px;
  }

  .decide-badge {
    max-width: 220px;
    padding: 20px 11px;
  }
}

@media (max-width: 1023.98px) {
  .decide-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column-reverse;
  }

  .decide-content {
    max-width: 560px;
    align-items: center;
    min-width: unset;
  }

  .decide-head-para {
    align-items: center;
    gap: 10px;
    text-align: center;
  }

  .decide-head {
    max-width: 355px;
  }

  .decide-point-item {
    gap: 22px;
  }

  .decide-point-icon {
    width: 70px;
    height: 70px;
  }

  .decide-point-icon img {
    width: 40px;
    height: 40px;
  }

  .decide-image-layout {
    max-width: 542px;
    min-height: unset;
    max-height: 704px;
  }

  .decide-image-main img {
    max-width: 430px;
    min-height: unset;
  }
}

@media (max-width: 640.98px) {
  .decide-container {
    padding: 0 16px;
  }

  .decide-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .decide-point-icon {
    width: 50px;
    height: 50px;
  }

  .decide-point-icon img {
    width: 28px;
    height: 28px;
  }

  .decide-body-deco {
    padding: 26px;
    max-width: clamp(102px, 24.5vw, 155px);
  }

  .decide-image-main {
    padding: 0 30px;
  }
}

@media (max-width: 480px) {
  .decide-badge {
    max-width: 168px;
    padding: 17px 2px;
  }
}

/* SECTION 6 (Legal steps fathers should take) */
.steps-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-light-blue);
}

.steps-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: clamp(35px, 5.3vw, 40px);
  padding: 80px 0;
}

.steps-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
  align-items: center;
  text-align: center;
  max-width: 688px;
}

.steps-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.steps-body {
  display: flex;
  justify-content: center;
  align-items: center;
}

.steps-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.steps-image img {
  max-width: 720px;
  width: 100%;
  min-height: 460px;
  height: auto;
  object-fit: cover;
  border-radius: 16px;
  overflow: hidden;
}

.steps-card-list {
  min-width: 541px;
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin-left: -163px;
}

.steps-card {
  max-width: 596px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 15px;
  padding: 16px;
  border-radius: 8px;
  background-color: var(--color-white);
  cursor: default;
  transition:
    background-color 0.24s ease,
    color 0.24s ease,
    transform 0.25s ease;
}

.steps-card-count {
  width: 40px;
  height: 40px;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  background-color: var(--color-light-blue);
  color: var(--color-blue);
}

.steps-card-text {
  display: flex;
  flex-direction: column;
  gap: 4px;
}

.steps-card:hover {
  background-color: var(--color-blue);
  color: var(--color-white);
  transform: translateX(8px);
}

.steps-card:hover > .steps-card-text h3 {
  color: var(--color-white);
}

@media (max-width: 1100px) {
  .steps-card-list {
    margin-left: -127px;
  }
}

@media (max-width: 1023.98px) {
  .steps-wrapper {
    padding: 60px 0;
  }

  .steps-head-para {
    gap: 10px;
    max-width: 576px;
  }

  .steps-head {
    max-width: 355px;
  }

  .steps-body {
    flex-direction: column;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .steps-image img {
    max-width: 708px;
    min-height: 289px;
  }

  .steps-card-list {
    margin: 0;
    align-items: center;
    min-width: unset;
  }
}

@media (max-width: 640.98px) {
  .steps-container {
    padding: 0 16px;
  }

  .steps-wrapper {
    padding: 50px 0;
    gap: 35px;
  }
}
